import {Component, inject, OnInit} from "@angular/core";
import {TrackdisplayComponent} from "./trackdisplay.component";

@Component({
  selector: 'track-list',
  standalone: true,
  imports: [
    TrackdisplayComponent
  ],
  template: `
    <div class="track-list">
      <track-display [order]="'1'"></track-display>
      <track-display [order]="'2'"></track-display>
      <track-display [order]="'3'"></track-display>
      <track-display [order]="'4'"></track-display>
      <track-display [order]="'5'"></track-display>
      <track-display [order]="'6'"></track-display>
    </div>
  `
})
export class TrackListComponent implements OnInit {
  ngOnInit(): void {

  }

}


