import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { JoinSessionComponent } from './spotify/joinSession.component';
import { LoginCallBackComponent } from './spotify/logincallback.component';
import { AppComponent } from './app.component';
import { SessionCopmonent } from './session/session.component';
import {PlaylistComponent} from "./playlist/playlist.component";
import {QueueComponent} from "./queue/queue.component";

const routes: Routes = [
  {path:'joinSession/:sessionId', component:JoinSessionComponent},
  {path:'login/callback', component:LoginCallBackComponent},
  {path:'session', component:SessionCopmonent},
  {path:'playlists', component:PlaylistComponent},
  {path:'queue', component:QueueComponent},
 ];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
