/* tslint:disable */
/* eslint-disable */
// Generated using typescript-generator version 3.2.1263 on 2024-12-01 13:47:15.

export interface AccessTokenDto {
  access_token: string;
  token_type: string;
  scope: string;
  expires_in: string;
  refresh_token: string;
  id: string;
}

export interface AccessTokenHolder {
  accessToken: string;
  spotifyId: string;
}

export interface CreateSessionRequest {
  discordUserId: string;
  discordUserDisplayName: string;
  discordUserName: string;
}

export interface CreateSessionResponse {
  statusCode: number;
  redisKey: string;
  url: string;
}

export interface DisplayNameAndImage extends Serializable {
  displayName: string;
  imageHref: string;
}

export interface GetSpotifyLoginUrlResponse {
  redirectUrl: string;
}

export interface PlaylistDisplayInfoDto extends Serializable {
  name: string;
  id: string;
  icon: string;
  description: string;
  trackDisplayInfoDtoList: TrackDisplayInfoDto[];
}

export interface SendLoginCodeToBackendRequestBody {
  encryptedCode: string;
}

export interface SessionDataMainPageResponse {
  sessionName: string;
  users: DisplayNameAndImage[];
  devices: Spotify_DeviceObject[];
  currentlySelectedDevice: Spotify_DeviceObject;
}

export interface TrackDisplayInfoDto extends Serializable {
  name: string;
  image: string;
  artistName: string;
  duration: string;
  id: string;
}

export interface Redis_SessionData extends Serializable {
  sessionName: string;
  owner: string;
  users: string[];
  devices: Spotify_DeviceObject[];
  selectedDevice: Spotify_DeviceObject;
  currentlyPlayedTrack: { [index: string]: string };
  sessionQueueMap: { [index: string]: string[] };
}

export interface Redis_Spotify_Album extends Serializable {
  external_urls: Spotify_ExternalUrls;
  href: string;
  id: string;
  images: Spotify_ImageObjectDto[];
  name: string;
  uri: string;
  artists: string[];
}

export interface Redis_Spotify_Playlist extends Serializable {
  description: string;
  external_urls: Spotify_ExternalUrls;
  href: string;
  id: string;
  images: Spotify_ImageObjectDto[];
  name: string;
  tracks: string[];
  uri: string;
}

export interface Redis_Spotify_SimplifiedArtistObject extends Serializable {
  external_urls: Spotify_ExternalUrls;
  href: string;
  id: string;
  name: string;
  uri: string;
}

export interface Redis_Spotify_TrackObject extends Serializable {
  album: string;
  artists: string[];
  duration_ms: number;
  external_urls: Spotify_ExternalUrls;
  href: string;
  id: string;
  is_playable: boolean;
  name: string;
  uri: string;
}

export interface Redis_UserData extends Serializable {
  spotifyUserDtoResponse: Spotify_UserDtoResponse;
  likedTracks: string[];
  playlistList: string[];
  hasPremium: boolean;
  devices: Spotify_DeviceObject[];
  queue: string[];
}

export interface Spotify_Album extends Serializable {
  external_urls: Spotify_ExternalUrls;
  href: string;
  id: string;
  images: Spotify_ImageObjectDto[];
  name: string;
  uri: string;
  artists: Spotify_SimplifiedArtistObject[];
}

export interface Spotify_AvailableDevicesResponse {
  devices: Spotify_DeviceObject[];
}

export interface Spotify_DeviceObject {
  id: string;
  is_active: boolean;
  is_restricted: boolean;
  name: string;
  type: string;
  volume_percent: number;
  supports_volume: boolean;
}

export interface Spotify_ExternalUrls extends Serializable {
  spotify: string;
}

export interface Spotify_ImageObjectDto extends Serializable {
  url: string;
  height: number;
  width: number;
}

export interface Spotify_LikedPlaylist extends Serializable {
  href: string;
  limit: number;
  next: string;
  offset: number;
  previous: string;
  total: number;
  items: Spotify_SavedTrackObject[];
}

export interface Spotify_Playlist extends Serializable {
  description: string;
  external_urls: Spotify_ExternalUrls;
  href: string;
  id: string;
  images: Spotify_ImageObjectDto[];
  name: string;
  tracks: Spotify_PlaylistTrack;
  uri: string;
}

export interface Spotify_PlaylistTrack extends Serializable {
  href: string;
  items: Spotify_Track[];
}

export interface Spotify_SavedTrackObject extends Serializable {
  track: Spotify_TrackObject;
}

export interface Spotify_SimplifiedArtistObject extends Serializable {
  external_urls: Spotify_ExternalUrls;
  href: string;
  id: string;
  name: string;
  uri: string;
}

export interface Spotify_SimplifiedPlaylistObject extends Serializable {
  id: string;
}

export interface Spotify_Track extends Serializable {
  track: Spotify_TrackObject;
}

export interface Spotify_TrackObject extends Serializable {
  album: Spotify_Album;
  artists: Spotify_SimplifiedArtistObject[];
  duration_ms: number;
  external_urls: Spotify_ExternalUrls;
  href: string;
  id: string;
  is_playable: boolean;
  name: string;
  uri: string;
}

export interface Spotify_UserDtoResponse extends Serializable {
  display_name: string;
  images: Spotify_ImageObjectDto[];
  uri: string;
  id: string;
  product: string;
}

export interface Spotify_UserPlayListIds extends Serializable {
  items: Spotify_SimplifiedPlaylistObject[];
}

export interface Serializable {
}
